apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: radarr
  namespace: streaming
  labels:
    app: radarr
    category: streaming
spec:
  serviceName: radarr
  replicas: 1
  selector:
    matchLabels:
      app: radarr
      category: streaming
  template:
    metadata:
      name: radarr
      namespace: streaming
      labels:
        app: radarr
        category: streaming
    spec:
      nodeName: nodebook
      containers:
        - name: radarr
          image: lscr.io/linuxserver/radarr:latest
          imagePullPolicy: Always
          env:
            - name: PUID
              value: "1000"
            - name: PGID
              value: "1000"
            - name: TZ
              value: "Europe/Vienna"
          ports:
            - containerPort: 7878
              name: http
          volumeMounts:
            - name: config
              mountPath: /config              
            - name: movies
              mountPath: /data/movies              
            - name: completed
              mountPath: /data/downloads/              
      volumes:
      - name: config
        hostPath: 
          path: /srv/radarr
      - name: movies
        hostPath:
          path: /media/streaming/movies
      - name: completed
        hostPath:
          path: /media/streaming/completed